Bug 433204 - iwl4965 no longer scans for access points after suspend/resume
iwl4965 no longer scans for access points after suspend/resume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Beta
  Show dependency treegraph
 
Reported: 2008-02-17 11:10 EST by Jesse Keating
Modified: 2013-01-09 21:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 14:37:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-17 11:10:04 EST
I'm running kernel-2.6.25-0.40.rc1.git2.fc9 on an x86_64 laptop with an iwl4965
wireless card.  Prior to 2.6.24/25 my wireless would work perfectly after
suspend.  It would take a few moments and then scan (via NetworkManager) for
access points.  When I started using 2.6.24 I had to resort to modprobe -r /
modprobe the 4965 module to get it to scan again.  Today I started using the
2.6.25 builds and now the probe dance doesn't even work.  I get messages that
the device doesn't support scanning (iwlist wlan0 scan).  A reboot was necessary
to get wireless functionality back.

I am currently using hw scanning (no module options), but I'm about to try sw
scanning.  Will report findings.

Adding to the Beta list as it would be a shame to regress this for F9 Beta.
Comment 1 Jesse Keating 2008-02-17 11:15:52 EST
Seems with sw scanning I can do the modprobe -r / modprobe trick to get wireless
again, but it continues to not just work after suspend/resume.
Comment 4 John W. Linville 2008-03-04 14:52:32 EST
I can not recreate this on my 4965-equipped t61 with 2.6.25-0.87.rc3.git4.fc9 
running on an F8 userland (augmented with mkinitrd and related components from 
rawhide).  Are you still seeing the issue?
Comment 5 Jesse Keating 2008-03-04 15:03:43 EST
I'm now fully on rawhide, and may or may not have suspend issues (:  I'll let
you know next time I have a successful suspend/resume.
Comment 6 Jesse Keating 2008-03-05 14:37:41 EST
Seems fine in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.